package ru.ulstu.tags.service;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import ru.ulstu.tags.model.Tag;
import ru.ulstu.tags.model.TagDto;
import ru.ulstu.tags.repository.TagRepository;

import java.util.List;

import static ru.ulstu.core.util.StreamApiUtils.convert;

@Service
public class TagService {

    private final TagRepository tagRepository;


    public TagService(TagRepository tagRepository) {

        this.tagRepository = tagRepository;
    }

    public List<Tag> findAll() {
        return tagRepository.findAll();
    }

//    public List<TagDto> findAllDto() {
//        List<TagDto> tag = convert(findAll(), TagDto::new);
//        tags.forEach(tagDto -> tagDto.setTitle(StringUtils.abbreviate(tagDto.getTitle(), MAX_DISPLAY_SIZE)));
//        return tags;
//    }
//
//    public TagDto findOneDto(Integer id) {
//        return new TagDto(tagRepository.findOne(id));
//    }


    public List<Tag> findByIds(List<Integer> ids) {
        return tagRepository.findAll(ids);
    }
    public Tag findById(Integer id) {
        return tagRepository.findOne(id);
    }

}
